﻿using ModelTools.BusinessLogics;
using ModelTools.Interfaces;
using SecurityBusinessLogic.Interfaces;
using SecurityImplementation.SecurityDatabaseImplementation;

namespace SecurityDatabaseImplementation
{
	public class SecurityLoaderExtensions : IImplementationExtension
	{
		public void RegisterServices()
		{
			UnityContainerConfigurator.PublishService<IAccessService, AccessService>();
			UnityContainerConfigurator.PublishService<IEnviromentSettingService, EnviromentSettingService>();
			UnityContainerConfigurator.PublishService<IRoleService, RoleService>();
			UnityContainerConfigurator.PublishService<IUserService, UserService>();
		}
	}
}